%define name	efax-gtk
%define version	2.2.11
%define release 1mdk

Name: 	 	%{name}
Summary: 	GTK2 frontend for efax
Version: 	%{version}
Release: 	%{release}

Source:		http://www.cvine.freeserve.co.uk/efax-gtk/%{name}-%{version}.src.tar.bz2
URL:		http://www.cvine.freeserve.co.uk/efax-gtk/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gtkmm2.0-devel
Requires:	ghostscript cups gv

%description
Efax-gtk provides a GUI frontend for the efax fax program. It interfaces with
efax directly, replacing the scripts supplied with efax, and can be used for
receiving and sending faxes, and for viewing, printing, and managing faxes
which have been received and sent.

%prep
%setup -q

%build
%configure2_5x
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="communications_fax_section.png" \
needs="x11" \
title="EFax-GTK" \
longtitle="Send faxes with efax" \
section="Office/Communications/Fax"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_menudir}/%name
/var/spool/fax/*

%changelog
* Sat Sep 25 2004 Austin Acton <austin@mandrake.org> 2.2.11-1mdk
- 2.2.11
- configure 2.5

* Sun Jul 25 2004 Austin Acton <austin@mandrake.org> 2.2.9-1mdk
- 2.2.9

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 2.2.8-1mdk
- 2.2.8

* Wed Jun 09 2004  Lenny Cartier <lenny@mandrakesoft.com> 2.2.7a-1mdk
- 2.2.7a

* Wed May 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-1mdk
- 2.2.7

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 2.2.5-2mdk
- Fix menu

* Thu Feb 5 2004 Austin Acton <austin@mandrake.org> 2.2.5-1mdk
- 2.2.5
- configure 2.5

* Sat Jan 10 2004 Austin Acton <austin@linux.ca> 2.2.4-1mdk
- 2.2.4

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 2.2.3-1mdk
- 2.2.3

* Mon Nov 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Tue Oct 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 2.2.0-1mdk
- 2.2.0

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 2.0.9-1mdk
- 2.0.9
- post macro
- cups model name

* Fri Apr 11 2003 Austin Acton <aacton@yorku.ca> 2.0.5a-1mdk
- initial package
